"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const test_case_runner_1 = __importDefault(require("@cucumber/cucumber/lib/runtime/test_case_runner"));
const messages_1 = require("@cucumber/messages");
const cucumber_1 = require("@cucumber/cucumber");
test_case_runner_1.default.prototype.isSkippingSteps = function () {
    return this.testStepResults.some(stepResult => {
        return stepResult.status !== messages_1.TestStepResultStatus.PASSED
            && !!stepResult.exception
            && stepResult.exception.type !== 'SoftAssertionError';
    });
};
class SoftAssertionError extends Error {
    constructor() {
        super(...arguments);
        this.name = 'SoftAssertionError';
    }
}
let currentStep;
(0, cucumber_1.BeforeStep)(async function (data) {
    currentStep = data.pickleStep.text;
});
(0, cucumber_1.Then)(/softly expect/, async function () {
    const stepText = currentStep.replace('softly expect', 'expect');
    try {
        await this.executeStep(stepText);
    }
    catch (err) {
        throw new SoftAssertionError(err.message);
    }
});
//# sourceMappingURL=index.js.map